{% set CodiceModulo = "VAR_DISA" %}
{% set Urn = "document:c_i867:var;dis" %}
{% set Urn_procedimento = "trasporto.scolastico.disabili:variazione" %}
{% set allegati=[
  { "codice":"DAE-CDI",
    "urn":"document:s_italia:generale;documento.identita;documentazione",
    "descrizione_tabella_allegati":"copia del documento di identità",
    "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
    "descrizione_meta":"", 
    "filename":"Documento identita",
    "firmatari":"Titolare_CodiceFiscale",
    "firmatari_label":"il dichiarante",
    "firmato":"NO",
    "numero":"1",
    "dimensione":"15",
    "enabled":"",
    "dynamic_check":"",
    "tipo":"allegato",
    "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  },
  { "codice":"CON-BAR-CER",
    "urn":"document:s_italia:contributo.eliminazione.barriere.architettoniche;certificato;documentazione",
    "descrizione_tabella_allegati":"copia del certificato medico in carta libera attestante le condizioni di disabilità",
    "annotazioni_tabella_allegati":"",
    "descrizione_meta":"", 
    "filename":"FILENAME",
    "firmatari":"Titolare_CodiceFiscale",
    "firmatari_label":"il dichiarante",
    "firmato":"NO",
    "numero":"1",
    "dimensione":"15",
    "enabled":"true",
    "dynamic_check":"true",
    "tipo":"allegato",
    "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
  },
]%}
{% extends "base.html" %}

{% block meta %}

<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo="Pubblica istruzione"
trattamento_dati="PERSONALI_SENSIBILI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di variazione del servizio di trasporto scolastico per alunni con disabilità"
destinatario_amministrazione=""
destinatario_ufficio="UOPUBBLICAISTRUZIONE"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="1.5|31/05/2023"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
   {% if allegato['tipo'] == "allegato" %}
    <meta codice_allegato="{{ allegato['codice'] }}"
     urn_allegato="{{ allegato['urn'] }}"
     descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
     filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
     firmatari="{{ allegato['firmatari'] }}"
     firmatari_label="{{ allegato['firmatari_label'] }}"
     firmato="{{ allegato['firmato'] }}"
     name="GLOBO_allegato"
     numero="{{ allegato['numero'] }}"
     dimensione_massima="{{ allegato['dimensione'] }}"
     obbligatorio="DINAMICO"
     tipo_mime="{{ allegato['tipo_mime'] }}"/>
   {% elif allegato['tipo'] == "secondario" %} 
     <meta codice_modulo_figlio="{{ allegato['codice'] }}"
     urn_modulo_figlio="{{ allegato['urn'] }}"
     name="GLOBO_modulofiglio"
     numero="{{ allegato['numero'] }}"
     obbligatorio="DINAMICO"/>
   {% endif %}{% endfor %}

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="SI"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %}Domanda di variazione del servizio di trasporto scolastico per alunni con disabilità{% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="2">
  {{ utils.firma() }}
</globo_fondo_pagina>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - variazione servizio trasporto scolastico disabili' + (#Referente_DatiPersonaObbligatori.checked() ? ' (per il minore ' + #Referente_Cognome.value().toUpperCase() + ' ' + #Referente_Nome.value().toUpperCase() + ')' : '')"/>

{{ intestazioni.intestazione_moduloprincipale_senzabollo() }}

<div class="container">
  <div class="title-1"> Domanda di variazione del servizio di trasporto scolastico per alunni con disabilità </div>
</div>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto genitore, tutore o affidatario", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly",
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

<input id="Referente_DatiPersonaObbligatori" name="Referente_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Referente_Titolo" name="Referente_Titolo" type="hidden" value="Minore"/>
<input id="Referente_Ruolo" name="Referente_Ruolo" type="hidden" value="Minore"/>
{{ anagrafica.persona_fisica( prefix="Referente", 
                              intestazione="del minore", 
                              pointer_carica_dati="display:none", 
                              visibility_carica_dati="display:none", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="display:none", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="true")}}

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> iscritto alla scuola </span>
    </div>
    
      
    <div class="form-group col-lg-5" mandatory_enabled="true">
      <label for="Proprietario_Scuola">Scuola</label>
      <select class="form-control custom-select" id="Proprietario_Scuola" name="Proprietario_Scuola" label="Scuola"  onceonly="true" >
        <option value=""></option>
        <option value="Sacro Cuore">Infanzia "Sacro Cuore" di Sossano</option>
        <option value="Pegoraro">Infanzia "G. Pegoraro" di Coleredo</option>
        <option value="Immacolata">Infanzia "M. Immacolata" di Pilastro</option>
        <option value="Primaria">Primaria di Sossano</option>
        <option value="Secondaria">Secondaria di Sossano</option>
      </select>
    </div>
    <div class="form-group col-lg-5" mandatory_enabled="true">
      <label for="Proprietario_Classe">Classe</label>
      <select class="form-control custom-select" id="Proprietario_Classe" name="Proprietario_Classe" label="Scuola"  onceonly="true" >
        <option value=""></option>
        <option value="Arcobaleno">Aula Arcobaleno</option>
        <option value="Gialla">Aula Gialla</option>
        <option value="Rossa">Aula Rossa</option>
        <option value="1">1°</option>
        <option value="2">2°</option>
        <option value="3">3°</option>
        <option value="4">4°</option>
        <option value="5">5°</option>
      </select>
    </div>
    <div class="form-group col-lg-2" mandatory_enabled="true">
      <label for="Proprietario_Sezione">Sezione</label>
      <select class="form-control custom-select" id="Proprietario_Sezione" name="Proprietario_Sezione" label="Scuola"  onceonly="true" >
        <option value=""></option>
        <option value="A">A</option>
        <option value="B">B</option>
        <option value="c">C</option>
        <option value="Altro">Altro</option>
        
      </select>
    </div>
  </div>
</div>

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container">
  <div class="title-3"> CHIEDE </div>
</div>

<div id="Tassonomia_Aggiornamento" name="Tassonomia_Aggiornamento" label="Indicare almeno una comunicazione" mandatory="true"></div>
<div class="container border bg-light">
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Aggiornamento" id="Tassonomia_Aggiornamento1" name="Tassonomia_Aggiornamento1" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Aggiornamento1"> l'aggiornamento dei dati relativi alla residenza <div class="space-0"></div> <span class="infoes"> (i nuovi dati sono quelli indicati per il genitore, tutore o affidatario) </span></label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Aggiornamento" id="Tassonomia_Aggiornamento2" name="Tassonomia_Aggiornamento2" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Aggiornamento2"> l'aggiornamento dei dati relativi ai recapiti personali (posta elettronica, telefono) <div class="space-0"></div> <span class="infoes"> (i nuovi dati sono quelli indicati per il genitore, tutore o affidatario) </span> </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Aggiornamento" id="Tassonomia_Aggiornamento3" name="Tassonomia_Aggiornamento3" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Aggiornamento3"> l'aggiornamento dei dati relativi alla scuola frequentata <div class="space-0"></div> <span class="infoes"> (i nuovi dati sono quelli sopra indicati)  </span></label>
  </div>
  <globo_salto_pagina></globo_salto_pagina>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Aggiornamento" id="Tassonomia_Aggiornamento4" name="Tassonomia_Aggiornamento4" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Aggiornamento4"> l'aggiornamento delle caratteristiche del servizio </label>
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for=""> Tipologia di viaggio </label>
      </div>
    </div>
  </div>
  <div class="form-check indent-2">
    <div id="Parametri_TipoViaggio" name="Parametri_TipoViaggio" label="Tipologia di viaggio" mandatory_enabled="#Tassonomia_Aggiornamento4.checked()"></div>
    <input class="form-check-input" group="Parametri_TipoViaggio" id="Parametri_TipoViaggio1" name="Parametri_TipoViaggio1" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Parametri_TipoViaggio1"> andata </label>
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for="Parametri_FermataAndata"> Fermata (Via/piazza, n. civico, Comune) </label>
        <input class="form-control" id="Parametri_FermataAndata" name="Parametri_FermataAndata" label="Fermata" mandatory_enabled="#Parametri_TipoViaggio1.checked()">
      </div>
    </div>
  </div>
  <div class="form-check indent-2">
    <input class="form-check-input" group="Parametri_TipoViaggio" id="Parametri_TipoViaggio2" name="Parametri_TipoViaggio2" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Parametri_TipoViaggio2"> ritorno </label>
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for="Parametri_FermataRitorno"> Fermata (Via/piazza, n. civico, Comune) </label>
        <input class="form-control" id="Parametri_FermataRitorno" name="Parametri_FermataRitorno" label="Fermata" mandatory_enabled="#Parametri_TipoViaggio2.checked()">
      </div>
    </div>
  </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> a partire da </span>
    </div>
  </div>
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-12">
      <label for="Parametri_DataInizio"> Data di decorrenza della variazione </label>
      <input class="form-control" id="Parametri_DataInizio" name="Parametri_DataInizio" label="Data di decorrenza della variazione" format="date">
    </div>
  </div>
</div>

{{ utils.Dichiara_445() }}

{{ utils_scolastici.dichiarazione_miur() }}

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}><label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

{{ utils.firma_hidden() }}

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
